using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 商户日统计
    /// </summary>
    [SugarTable("YB_BusinessReportData", TableDescription = "商户日统计", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_BusinessReportData
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 日测量次数
        /// </summary>
        [SugarColumn(ColumnDescription = "日测量次数")]
        public System.Int32 DayResultCnt { get; set; }

        /// <summary>
        /// 日活跃设备数量
        /// </summary>
        [SugarColumn(ColumnDescription = "日活跃设备数量")]
        public System.Int32 DayDevCnt { get; set; }

        /// <summary>
        /// 日收入
        /// </summary>
        [SugarColumn(ColumnDescription = "日收入", ColumnDataType ="decimal(18,2)")]
        public System.Decimal DayInCome { get; set; }

        /// <summary>
        /// 客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "客户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 记录时间
        /// </summary>
        [SugarColumn(ColumnDescription = "记录时间")]
        public System.DateTime RecordTime { get; set; }
    }
}
